#language: ru

@logistic

Функционал: 010. Logistic. Создание документов вручную для склада без ячеек

Сценарий: 010.1. Logistic. Создание распоряжения на приемку - документ для склада без ячеек (проверка работы всех кнопок)
	
	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаПриемку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на приемку (создание)'
	И в поле с именем 'Дата' я ввожу текст '23.09.2019  0:00:00'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на приемку (создание) *'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'                | 'Номенклатура'   | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| '10,000'     | 'упак (5 кг) (Ашан)' | 'Сыр Адыгейский' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '50,000, кг'     |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (2.5 кг) 5ка'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'               | 'Номенклатура'   | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| '10,000'     | 'упак (2.5 кг) 5ка' | 'Сыр Адыгейский' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'               | 'Номенклатура'   | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| '10,000'     | 'упак (2.5 кг) 5ка' | 'Сыр Адыгейский' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'          |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (2.5 кг) 5ка' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'       |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Распоряжение на приемку (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'               | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| '10,000'     | 'упак (2.5 кг) 5ка' | 'Сыр Адыгейский'  | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     |
		| '20,000'     | 'упак (1 кг)'       | 'Сыр Пошехонский' | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '20,000, кг'     |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'               | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| '10,000'     | 'упак (2.5 кг) 5ка' | 'Сыр Адыгейский'  | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     |
		| '5,000'      | 'упак (1 кг)'       | 'Сыр Пошехонский' | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '5,000, кг'      |
		| '15,000'     | 'упак (1 кг)'       | 'Сыр Пошехонский' | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '15,000, кг'     |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Распоряжение на приемку (создание) *'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И в поле 'Комментарий' я ввожу текст "Создание распоряжения вручную"
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Распоряжение на приемку * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Распоряжение на приемку * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на приемку * от *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на приемку'
	* Проверка отборов на форме списка распоряжений на приемку
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '21.09.2019'
		И в поле 'DateEnd' я ввожу текст '21.09.2019'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Распоряжения на приемку'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '23.09.2019'
		И в поле 'DateEnd' я ввожу текст '23.09.2019'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Распоряжения на приемку'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '23.09.2019' | 'Сырная ГП' | 'Администратор' | 'Создание распоряжения вручную' |
		И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '23.09.2019' | 'Сырная ГП' | 'Администратор' | 'Создание распоряжения вручную' |
		И я нажимаю кнопку выбора у поля "Задание на доставку"
		Тогда открылось окно 'Задания на доставку'
		И Я закрываю окно 'Задания на доставку'
		Тогда открылось окно 'Распоряжения на приемку'
		И я нажимаю кнопку выбора у поля "Основание"
		Тогда открылось окно 'Выбор типа данных'
		И я нажимаю на кнопку 'ОК'
		Тогда открылось окно 'Перемещения товаров'
		И Я закрываю окно 'Перемещения товаров'
		Тогда открылось окно 'Распоряжения на приемку'
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Костромской'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр сулугуни'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '23.09.2019' | 'Сырная ГП' | 'Администратор' | 'Создание распоряжения вручную' |
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '23.09.2019' | 'Сырная ГП' | 'Администратор' | 'Создание распоряжения вручную' |
		И я нажимаю кнопку очистить у поля "Ответственный"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Склад"
		И я нажимаю кнопку очистить у поля "Основание"
		И я нажимаю кнопку очистить у поля "Задание на доставку"
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Распоряжения на приемку'
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 010.2. Logistic. Создание плана отгрузки - документ, п/ф плана отгрузки для склада без ячеек (проверка работы всех кнопок)
	
	Дано я удаляю объекты "Документы.к2ПланОтгрузки" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле с именем 'Дата' я ввожу текст '24.09.2019  0:00:00'
	И в поле 'Дата отгрузки' я ввожу текст '24.09.2019'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'План отгрузки (создание) *'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И из выпадающего списка "Статус" я выбираю точное значение 'Запланировано'
	И из выпадающего списка "Статус" я выбираю точное значение 'Набирается'
	И из выпадающего списка "Статус" я выбираю точное значение 'Собрано'
	И из выпадающего списка "Статус" я выбираю точное значение 'Погружено'
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я устанавливаю флаг 'Требуется доставка'
	И я снимаю флаг 'Требуется доставка'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '50,000, кг'     | '100'     | '50'       |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (2.5 кг) 5ка'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'               | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (2.5 кг) 5ка' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     | '50'      | '25'       |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'               | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (2.5 кг) 5ка' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     | '50'      | '25'       |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'          |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (2.5 кг) 5ка' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'       |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'План отгрузки (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'               | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (2.5 кг) 5ка' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     | '50'      | '25'       |
		| '20,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'       | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '20,000, кг'     | '40'      | ''         |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'               | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (2.5 кг) 5ка' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '25,000, кг'     | '50'      | '25'       |
		| '5,000'      | 'Сыр Пошехонский' | 'упак (1 кг)'       | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '5,000, кг'      | '10'      | ''         |
		| '15,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'       | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '15,000, кг'     | '30'      | ''         |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Вес, кг' я ввожу текст '10,00'
	И в таблице "Товары" в поле 'Мест, м3' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'План отгрузки (создание) *'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И в поле 'Комментарий' я ввожу текст 'План отгрузки 1 для склада без ячеек (по документам)'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'План отгрузки * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'План отгрузки * от *'
	И я нажимаю на кнопку 'План отгрузки'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "План отгрузки для склада без ячеек (документы)" по шаблону
	И Я закрываю окно 'План отгрузки *'
	Тогда открылось окно 'План отгрузки * от *'
	И из выпадающего списка "Статус" я выбираю точное значение 'Погружено'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	* Проверка отборов на форме списка планов отгрузки
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '23.09.2019'
		И в поле 'DateEnd' я ввожу текст '23.09.2019'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Планы отгрузки'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '24.09.2019'
		И в поле 'DateEnd' я ввожу текст '24.09.2019'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Планы отгрузки'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Статус'    | 'Ответственный' | 'Комментарий'                                          | 'Дата отгрузки' | 'Склад'     |
			| '24.09.2019' | 'Погружено' | 'Администратор' | 'План отгрузки 1 для склада без ячеек (по документам)' | '24.09.2019'    | 'Сырная ГП' |
		И я нажимаю на гиперссылку "Дата отгрузки"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '23.09.2019'
		И в поле 'DateEnd' я ввожу текст '23.09.2019'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Планы отгрузки'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Дата отгрузки"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '24.09.2019'
		И в поле 'DateEnd' я ввожу текст '24.09.2019'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Планы отгрузки'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Статус'    | 'Ответственный' | 'Комментарий'                                          | 'Дата отгрузки' | 'Склад'     |
			| '24.09.2019' | 'Погружено' | 'Администратор' | 'План отгрузки 1 для склада без ячеек (по документам)' | '24.09.2019'    | 'Сырная ГП' |
		И из выпадающего списка "Статус" я выбираю точное значение 'Запланировано'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Статус" я выбираю точное значение 'Погружено'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Статус'    | 'Ответственный' | 'Комментарий'                                          | 'Дата отгрузки' | 'Склад'     |
			| '24.09.2019' | 'Погружено' | 'Администратор' | 'План отгрузки 1 для склада без ячеек (по документам)' | '24.09.2019'    | 'Сырная ГП' |
		И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Статус'    | 'Ответственный' | 'Комментарий'                                          | 'Дата отгрузки' | 'Склад'     |
			| '24.09.2019' | 'Погружено' | 'Администратор' | 'План отгрузки 1 для склада без ячеек (по документам)' | '24.09.2019'    | 'Сырная ГП' |
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр сулугуни'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Статус'    | 'Ответственный' | 'Комментарий'                                          | 'Дата отгрузки' | 'Склад'     |
			| '24.09.2019' | 'Погружено' | 'Администратор' | 'План отгрузки 1 для склада без ячеек (по документам)' | '24.09.2019'    | 'Сырная ГП' |
		И я нажимаю кнопку выбора у поля "Основание"
		Тогда открылось окно 'Выбор типа данных'
		И в таблице "" я перехожу к строке:
			| ''                     |
			| 'Заказ на перемещение' |
		И в таблице "" я перехожу к строке:
			| ''              |
			| 'Заказ клиента' |
		И я нажимаю на кнопку 'ОК'
		Тогда открылось окно 'Заказы клиентов'
		И Я закрываю окно 'Заказы клиентов'
		Тогда открылось окно 'Планы отгрузки'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Статус'    | 'Ответственный' | 'Комментарий'                                          | 'Дата отгрузки' | 'Склад'     |
			| '24.09.2019' | 'Погружено' | 'Администратор' | 'План отгрузки 1 для склада без ячеек (по документам)' | '24.09.2019'    | 'Сырная ГП' |
		И я нажимаю кнопку очистить у поля "Ответственный"
		И я нажимаю кнопку очистить у поля "Основание"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Склад"
		И я нажимаю кнопку очистить у поля "Статус"
		И я нажимаю на гиперссылку "Дата отгрузки"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Планы отгрузки'
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 010.3. Logistic. Создание распоряжения на отгрузку(план) на основании плана на отгрузку для склада без ячеек
	
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаОтгрузку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                          |
		| 'План отгрузки 1 для склада без ячеек (по документам)' |
	И я нажимаю на кнопку 'Распоряжение на отгрузку(План отгрузки)'
	Тогда открылось окно 'Распоряжение на отгрузку (создание)'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И элемент формы "Ответственный" стал равен "Администратор"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'кг'  | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '10,000, кг'     | '10'      |
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на отгрузку по Плану отгрузки 1 для склада без ячеек (по документам)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на отгрузку (создание)' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 010.4. Logistic. Проверка отборов на форме списка распоряжений на отгрузку

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '20.10.2020'
	И в поле 'DateEnd' я ввожу текст '20.10.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распоряжения на отгрузку'
	Тогда в таблице "Список" количество строк "равно" 0
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И я нажимаю на кнопку 'Очистить период'
	И в поле 'DateBegin' я ввожу текущую дату
	И в поле 'DateEnd' я ввожу текущую дату
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распоряжения на отгрузку'
	Тогда таблица "Список" стала равной:
		| 'Склад'     | 'Ответственный' |
		| 'Сырная ГП' | 'Администратор' |
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда таблица "Список" стала равной:
		| 'Склад'     | 'Ответственный' |
		| 'Сырная ГП' | 'Администратор' |
	И я нажимаю кнопку выбора у поля "План отгрузки"
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                          |
		| 'План отгрузки 1 для склада без ячеек (по документам)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжения на отгрузку'
	Тогда таблица "Список" стала равной:
		| 'Склад'     | 'Ответственный' |
		| 'Сырная ГП' | 'Администратор' |
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И Я закрываю окно 'Задания на доставку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	Тогда таблица "Список" стала равной:
		| 'Склад'     | 'Ответственный' |
		| 'Сырная ГП' | 'Администратор' |
	И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда таблица "Список" стала равной:
		| 'Склад'     | 'Ответственный' |
		| 'Сырная ГП' | 'Администратор' |
	И я нажимаю кнопку очистить у поля "Ответственный"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И я нажимаю кнопку очистить у поля "Задание на доставку"
	И я нажимаю кнопку очистить у поля "План отгрузки"
	И я нажимаю кнопку очистить у поля "Склад"
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И я нажимаю на кнопку 'Очистить период'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И Я закрываю окно 'Распоряжения на отгрузку'

Сценарий: 010.4. Logistic. Завершение

	И Я закрыл все окна клиентского приложения